> For the complete documentation index, see [llms.txt](https://docs.gestao.plus/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gestao.plus/api/public/listar-usuario.md).

# Informações do Usuário

## Informações de um usuário

<mark style="color:green;">`POST`</mark> `https://api.gestao.plus/user?q=info`

Este endpoint permite que você busque por informações de um usuário em específico através de seu CPF, caso ele já tenha sido registrado as suas informações serão retornadas.

#### Query Parameters

| Name                                | Type   | Description |
| ----------------------------------- | ------ | ----------- |
| q<mark style="color:red;">\*</mark> | string | info        |

#### Headers

| Name                                           | Type   | Description                 |
| ---------------------------------------------- | ------ | --------------------------- |
| Origin<mark style="color:red;">\*</mark>       | string | URL de origem da requisição |
| Content-Type<mark style="color:red;">\*</mark> | string | application/json            |

#### Request Body

| Name                                       | Type   | Description    |
| ------------------------------------------ | ------ | -------------- |
| document<mark style="color:red;">\*</mark> | string | CPF do usuário |

{% tabs %}
{% tab title="200 " %}

```
{
    "haveAccount": true,
    "havePassword": true,
    "allowGuest": true,
    "data": {
        "email": "paulo.******@live.com",
        "cellphone": "6299043****",
        "guestUserToken": "TOKEN QUE SERÁ USADO PARA REALIZAR OS PEDIDOS" // IMPORTANTE
    },
    "_links": {
        "self": {
            "href": "https://api.gestao.plus/user"
        }
    }
}
```

{% endtab %}

{% tab title="400 " %}

```
{
    "type": "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html",
    "title": "Bad Request",
    "status": 400,
    "detail": "Invalid document"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gestao.plus/api/public/listar-usuario.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
